import request from '@/utils/request'

/**
 * 商品列表
 * @returns
 */
export function tbProduct(params) {
  return request({
    url: '/api/tbProduct',
    method: 'get',
    params
  })
}

/**
 * 删除商品
 * @returns
 */
export function tbProductDelete(data) {
  return request({
    url: '/api/tbProduct',
    method: 'delete',
    data
  })
}

/**
 * 商品单位列表
 * @returns
 */
export function tbShopUnit(params) {
  return request({
    url: '/api/tbShopUnit',
    method: 'get',
    params
  })
}

/**
 * 店铺基本配置
 * @returns
 */
export function tbShopCurrency(shopId) {
  return request({
    url: `/api/tbShopCurrency/${shopId}`,
    method: 'get'
  })
}

/**
 * 修改店铺信息
 * @returns
 */
export function tbShopCurrencyPut(data) {
  return request({
    url: `/api/tbShopCurrency`,
    method: 'put',
    data
  })
}

/**
 * 新增单位
 * @returns
 */
export function tbShopUnitPost(data) {
  return request({
    url: `/api/tbShopUnit`,
    method: 'post',
    data
  })
}

/**
 * 更改单位
 * @returns
 */
export function tbShopUnitPut(data) {
  return request({
    url: `/api/tbShopUnit`,
    method: 'put',
    data
  })
}

/**
 * 删除单位
 * @returns
 */
export function tbShopUnitDelete(data) {
  return request({
    url: `/api/tbShopUnit`,
    method: 'delete',
    data
  })
}

/**
 * 店铺基本配置
 * @returns
 */
export function tbShopCurrencyGet(params) {
  return request({
    url: `/api/tbShopUnit`,
    method: 'get',
    params
  })
}

/**
 * 商品分类列表
 * @returns
 */
export function tbShopCategoryGet(params) {
  return request({
    url: `/api/tbShopCategory`,
    method: 'get',
    params
  })
}

/**
 * 新增、编辑分类/新增、编辑子分类
 * @returns
 */
export function tbShopCategoryPost(data, method = 'post') {
  return request({
    url: `/api/tbShopCategory`,
    method: method,
    data
  })
}

/**
 * 删除商品分类
 * @returns
 */
export function tbShopCategoryDelete(data) {
  return request({
    url: `/api/tbShopCategory`,
    method: 'delete',
    data
  })
}

/**
 * 规格增加
 * @returns
 */
export function tbProductSpecPost(data) {
  return request({
    url: `/api/tbProductSpec`,
    method: 'post',
    data
  })
}

/**
 * 规格列表
 * @returns
 */
export function tbProductSpecGet(params) {
  return request({
    url: `/api/tbProductSpec`,
    method: 'get',
    params
  })
}

/**
 * 规格更改
 * @returns
 */
export function tbProductSpecPut(data) {
  return request({
    url: `/api/tbProductSpec`,
    method: 'put',
    data
  })
}

/**
 * 删除规格
 * @returns
 */
export function tbProductSpecDelete(data) {
  return request({
    url: `/api/tbProductSpec`,
    method: 'DELETE',
    data
  })
}

/**
 * 新增分组
 * @returns
 */
export function tbProductGroupPost(data) {
  return request({
    url: `/api/tbProductGroup`,
    method: 'post',
    data
  })
}

/**
 * 更改分组
 * @returns
 */
export function tbProductGroupPut(data) {
  return request({
    url: `/api/tbProductGroup`,
    method: 'PUT',
    data
  })
}

/**
 * 商品分组列表
 * @returns
 */
export function tbProductGroupGet(params) {
  return request({
    url: `/api/tbProductGroup`,
    method: 'get',
    params
  })
}

/**
 * 商品列表（根据分组中的商品id）
 * @returns
 */
export function productListGet(productGroup) {
  return request({
    url: `/api/tbProductGroup/${productGroup}`,
    method: 'get'
  })
}

/**
 * 删除分组
 * @returns
 */
export function tbProductGroupDelete(data) {
  return request({
    url: `/api/tbProductGroup`,
    method: 'DELETE',
    data
  })
}

/**
 * 添加商品
 * @returns
 */
export function tbProductPost(data) {
  return request({
    url: `/api/tbProduct`,
    method: 'post',
    data
  })
}

/**
 * 添加商品
 * @returns
 */
export function tbProductPut(data) {
  return request({
    url: `/api/tbProduct`,
    method: 'put',
    data
  })
}

/**
 * 商品详情（单个商品）
 * product 商品id
 * @returns
 */
export function tbProductGetDetail(product) {
  return request({
    url: `/api/tbProduct/${product}`,
    method: 'get'
  })
}

/**
 * 店铺列表
 * @returns
 */
export function tbShopInfo(params) {
  return request({
    url: `/api/tbShopInfo`,
    method: 'get',
    params
  })
}

/**
 * 增加激活码
 * @returns
 */
export function tbMerchantRegisterPost(data) {
  return request({
    url: `/api/tbMerchantRegister`,
    method: 'post',
    data
  })
}

/**
 * 激活码列表
 * @returns
 */
export function tbMerchantRegisterList(data) {
  return request({
    url: `/api/tbMerchantRegister/list`,
    method: 'post',
    data
  })
}

/**
 * 增加/编辑店铺
 * @returns
 */
export function tbShopInfoPost(data, method = 'post') {
  return request({
    url: `/api/tbShopInfo`,
    method: method,
    data
  })
}

/**
 * 详情（配置三方支付）
 * @returns
 */
export function tbMerchantThirdApply(shopId) {
  return request({
    url: `/api/tbMerchantThirdApply/${shopId}`,
    method: 'get'
  })
}

/**
 * 修改第三方配置
 * @returns
 */
export function tbMerchantThirdApplyPut(data) {
  return request({
    url: `/api/tbMerchantThirdApply`,
    method: 'put',
    data
  })
}



